0

I wanted to install elementary OS Loki in dual boot with my win10. For information, I have a old motherboard mode with legacy bios, I hope is not a problem to install elementary OS Loki.

I used Rufus and followed the tutorial (just in case I missed something), after selecting the USB stick, and before getting any install menu, I got this:

elementary OS installation error

Remark: I tried to install Ubuntu to check my computer, I got the same error with > Ubuntu 16.X. But it's working with all Ubuntu (I tested the liveUSB mode only) <= 15.X, and finally it's working with elementary OS Freya (based on Ubuntu 14.X, if I remember well).

I didn't find out what change between these version yet :/ Any idea ?

EDIT: Right, I've found in this thread the beginning of my answer: https://bbs.archlinux.org/viewtopic.php?id=226400. So, something's wrong with my graphic card driver (nvidia GTX 970). However, even after many try, I didn't succeed to add this "modprobe.blacklist=nouveau" to the kernel parameter yet.

  • Have you trying to boot with nomodeset parameter to recovery mode? Before this, you must install nvidia drivers and blacklist nouveau. – bitseater Aug 26 '17 at 11:23
1

Got it !

Following the thread I mentioned in my last edit, I followed this guide https://wiki.archlinux.org/index.php/Kernel_parameters, and added the statement: modprobe.blacklist=nouveau in all *.cfg files contained in the (USB-STICK)"/boot/grub" directory.

Voilà :)

  • could you accept your own answer as correct, as it will get bumped to community every now-and-then if it's not answered? :) – Eric G Sep 25 '17 at 13:05

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.